%define major 1
%define raw_name paper
%define fname lib%raw_name
%define libname %mklibname %raw_name %major

Summary:	Library for handling paper characteristics
Name:		%libname
Version:	1.1.8
Release:	4mdk
Source0:	http://download.sourceforge.net/libusb/%fname-%version.tar.bz2
Patch:		libpaper-1.1.8-gcc3.3.patch.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://sourceforge.net/projects/libusb/

%description
This package contains a simple library for use by programs needing
to handle papers. It lets program automatically recognize a lot of
different papers with their properties (actually their size).

%package   devel
Summary:   Library for handling paper characteristics (development files)
Group:     Development/C
Provides:  libpaper-devel = %version-%release
Obsoletes: libpaper-devel
Requires:  %name = %version-%release

%description devel
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package   static-devel
Summary:   Library for handling paper characteristics (development files)
Group:     Development/C
Requires:  %name-devel = %version-%release

%description static-devel
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).


%package   -n paper-utils
Summary:   Library for handling paper characteristics (development files)
Group:     Development/C
Requires:  %name = %version-%release

%description  -n paper-utils
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%prep
%setup -q -n libpaper-%version
%patch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog debian/changelog
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files static-devel
%defattr(-,root,root)
%_libdir/*.a


%files -n paper-utils
%defattr(-,root,root)
%doc README
%_bindir/paperconf
%_sbindir/paperconfig
%_mandir/man*/*

%changelog
* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-4mdk
- use mklibname

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-3mdk
- fix #4565

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- added a static devel package
- small patch to make it build with gcc 3.3
- autoconf2.5 macro

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-1mdk
- initial package
